<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui" xmlns:c="http://xmlns.jcp.org/jsp/jstl/core">
    <!--I use Index.html as a original template this is just extending the content area-->
    <h:body>
        <ui:composition template="index.xhtml">
            <ui:define name="content">

                <h:form enctype="multipart/form-data">
                    <p:layoutUnit position="center">
                        <p:dataGrid var="image" value="#{uploadBean.images}" columns="2" >
                             <f:facet name="header">
                                Album
                            </f:facet>
                            <p:column>
                                <p:panel header="#{image.title}">
                                    <h:panelGrid columns="1">
                                        <p:graphicImage value="#{image.path}" width="200" height="200"/>
                                        
                                    </h:panelGrid>
                                </p:panel>
                            </p:column>
                        </p:dataGrid>
                    </p:layoutUnit>
                </h:form>

            </ui:define> 
        </ui:composition> 
    </h:body>

</html>

